#### Scribus Command Line Reference

Just like any other program, Scribus can be launched from the command line. Below you find the command line options for Linux/UNIX (including Mac OS X). On other operating systems the parameters may have to be used differently.

An advantage or usage of the command line is that you may get some useful information as feedback in the CLI as Scribus is, for example, checking fonts, and in the unlikely event of a crash.

- `-f, --file`
  Opens the specified file. It’s possible to simply pass the file name as an unqualified argument instead of using this, though if the name begins with a dash (`-`) you will need to use `--`, e.g., `scribus -- -myfile.sla`.
- `-fi, --font-info`
  Shows the font file listing as Scribus starts. This can be used for diagnosing missing glyphs within fonts or possibly broken font files.
- `-h, --help`
  Prints a brief usage summary.
- `-l, --lang xx`
  Overrides the system locale and runs Scribus in language `xx`. The language is specified with the same POSIX language codes that are used in the `LANG` and `LC_ALL` environment variables. For example, English can be selected with ‘en’ (generic English), ‘en_GB’ (British English), ‘en_US’ (American english), etc. Similarly, reformed German can be selected with ‘de’ or ‘de_DE’, traditional German with ‘de_1901’, and Swiss German with ‘de_CH’.
- `-la, --langs-available`
  Prints a list of languages for which user interface translations are available. To use that language run Scribus as `scribus -l xx` where `xx` is the short language code.
- `-nns, --never-splash`
  Stops the showing of the splashscreen on startup. Writes an empty file called .neversplash in `~/.scribus`.
- `-ns, --no-splash`
  Suppresses display of the splash screen during Scribus start-up.
- `-pi, --profile-info`
  Shows the color profiles listing which Scribus can use. This can be used for diagnosing missing or broken color profiles.
- `-pr, --prefs filename`
  Uses the filename as path for user given preferences.
- `-sb, --swap-buttons`
  Uses right to left dialog button ordering (e.g. Cancel/No/Yes instead of Yes/No/Cancel)
- `-u, --upgradecheck`
  Downloads a file from our scribus server indicating the latest available versions.
- `-v, --version`
  Prints the Scribus version number and exits.